NNN(1)

NAME
nnn - the missing terminal file browser for X

SYNOPSIS
nnn [-d] [-S] [-v] [-h] [PATH]

DESCRIPTION
nnn (Noice is Not Noice) is a performance-optimized fork of the noice terminal file browser with improved desktop integration, navigation, disk usage analyzer mode, comprehensive file details and much more. It remains a simple and efficient file browser that stays out of your way.

nnn defaults to the current directory if PATH is not specified.

nnn supports both vi-like and emacs-like key bindings in the default configuration. The default key bindings are listed below.

[Up], k, ^P
    Move to previous entry
[Down], j, ^N
    Move to next entry
[PgUp], ^U
    Scroll up half a page
[PgDn], ^D
    Scroll down half a page
[Home], g, ^, ^A
    Move to the first entry
[End], G, $, ^E
    Move to the last entry
[Right], [Enter], l, ^M
    Open file or enter directory
[Left], [Backspace], h, ^H
    Back up one directory level
~   Change to the HOME directory
&   Change to initial directory
-   Change to the last visited directory
o   Open directory in NNN_DE_FILE_MANAGER
/   Change filter (more information below)
c   Change into the given directory
d   Toggle detail view
D   Toggle current file details screen
m   Show concise mediainfo
M   Show full mediainfo
.   Toggle hide .dot files
s   Toggle sort by file size
S   Toggle disk usage analyzer mode
t   Toggle sort by time modified
!   Spawn SHELL in PWD (fallback sh)
z   Run the system top utility.
e   Open current entry in EDITOR (fallback vi)
p   Open current entry in PAGER (fallback less)
^K  Invoke file name copier
^L  Force a redraw
?   Toggle help screen
q   Quit
Q   Quit and change directory

Backing up one directory level will set the cursor position at the directory you came out of.

nnn supports the following options:

-d start in detail view mode

-S start in disk usage analyzer mode

-v show version and exit

-h show program help and exit

CONFIGURATION
nnn invokes nlay to play a file if it recognizes a file by extension. nlay is a highly customizable bash shell script which invokes a player depending on the type of file. Read more on nlay at:
https://github.com/jarun/nnn/wiki/all-about-nlay

nnn is configured by modifying config.def.h and recompiling the code. config.h is generated as a backup of config.def.h.

See the environment and examples sections below for more options and information.

Configuring nnn to change to the last visited directory on quit requires shell integration in a few easy steps. Please visit the project page (linked below) for the instructions.

FILTERS
Filters support regexes to display only the matched entries in the current directory view. This effectively allows searching through the directory tree for a particular entry.

Filters do not stack on top of each other. They are applied anew every time. There are 3 ways to reset a filter:

An empty filter expression, a search with no results or an extra backspace at the filter prompt (like vi).

If you want to list all matches starting with the filter expression (a common use case), start the expression with a ^ (caret) symbol.

If nnn is invoked as root the default filter will also match hidden files.

ENVIRONMENT
The SHELL, EDITOR and PAGER environment variables take precedence when dealing with the !, e and p commands respectively.

NNN_DE_FILE_MANAGER: set to a desktop file manager to open the current directory with.

NNN_OPENER: set to your desktop environment's default mime opener to override all custom mime associations.
Examples: xdg-open, gio open, gvfs-open.

NNN_FALLBACK_OPENER: set to your desktop environment's default mime opener to use as a fallback when no association is set for a file type. Custom associations are listed in the EXAMPLES section below.

NNN_COPIER: set to a clipboard copier script. For example, on Linux:

            -------------------------------------
            #!/bin/sh
            echo -n $1 | xsel --clipboard --input
            -------------------------------------

KNOWN ISSUES
If you are using urxvt you might have to set backspacekey to DEC.

AUTHORS
Lazaros Koromilas <lostd@2f30.org>, Dimitris Papastamos <sin@2f30.org>, Arun Prakash Jana <engineerarun@gmail.com>.

HOME
https://github.com/jarun/nnn